//go:build !ignore_autogenerated

/*
Copyright 2023.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by controller-gen. DO NOT EDIT.

package v1alpha1

import (
	"k8s.io/apimachinery/pkg/apis/meta/v1"
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ControlPlaneConfig) DeepCopyInto(out *ControlPlaneConfig) {
	*out = *in
	if in.Replicas != nil {
		in, out := &in.Replicas, &out.Replicas
		*out = new(int32)
		**out = **in
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ControlPlaneConfig.
func (in *ControlPlaneConfig) DeepCopy() *ControlPlaneConfig {
	if in == nil {
		return nil
	}
	out := new(ControlPlaneConfig)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *MachineDeploymentSpec) DeepCopyInto(out *MachineDeploymentSpec) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new MachineDeploymentSpec.
func (in *MachineDeploymentSpec) DeepCopy() *MachineDeploymentSpec {
	if in == nil {
		return nil
	}
	out := new(MachineDeploymentSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *SecretValuesSpec) DeepCopyInto(out *SecretValuesSpec) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new SecretValuesSpec.
func (in *SecretValuesSpec) DeepCopy() *SecretValuesSpec {
	if in == nil {
		return nil
	}
	out := new(SecretValuesSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *SylvaSourceVersion) DeepCopyInto(out *SylvaSourceVersion) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new SylvaSourceVersion.
func (in *SylvaSourceVersion) DeepCopy() *SylvaSourceVersion {
	if in == nil {
		return nil
	}
	out := new(SylvaSourceVersion)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *SylvaWorkloadCluster) DeepCopyInto(out *SylvaWorkloadCluster) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	in.Status.DeepCopyInto(&out.Status)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new SylvaWorkloadCluster.
func (in *SylvaWorkloadCluster) DeepCopy() *SylvaWorkloadCluster {
	if in == nil {
		return nil
	}
	out := new(SylvaWorkloadCluster)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *SylvaWorkloadCluster) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *SylvaWorkloadClusterList) DeepCopyInto(out *SylvaWorkloadClusterList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]SylvaWorkloadCluster, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new SylvaWorkloadClusterList.
func (in *SylvaWorkloadClusterList) DeepCopy() *SylvaWorkloadClusterList {
	if in == nil {
		return nil
	}
	out := new(SylvaWorkloadClusterList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *SylvaWorkloadClusterList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *SylvaWorkloadClusterSpec) DeepCopyInto(out *SylvaWorkloadClusterSpec) {
	*out = *in
	if in.SylvaSourceVersion != nil {
		in, out := &in.SylvaSourceVersion, &out.SylvaSourceVersion
		*out = new(SylvaSourceVersion)
		**out = **in
	}
	if in.ControlPlane != nil {
		in, out := &in.ControlPlane, &out.ControlPlane
		*out = new(ControlPlaneConfig)
		(*in).DeepCopyInto(*out)
	}
	if in.MachineDeployments != nil {
		in, out := &in.MachineDeployments, &out.MachineDeployments
		*out = make(map[string]MachineDeploymentSpec, len(*in))
		for key, val := range *in {
			(*out)[key] = val
		}
	}
	in.ClusterSettings.DeepCopyInto(&out.ClusterSettings)
	out.SecretValues = in.SecretValues
	if in.EnabledUnits != nil {
		in, out := &in.EnabledUnits, &out.EnabledUnits
		*out = make(map[string]bool, len(*in))
		for key, val := range *in {
			(*out)[key] = val
		}
	}
	in.OverridingValues.DeepCopyInto(&out.OverridingValues)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new SylvaWorkloadClusterSpec.
func (in *SylvaWorkloadClusterSpec) DeepCopy() *SylvaWorkloadClusterSpec {
	if in == nil {
		return nil
	}
	out := new(SylvaWorkloadClusterSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *SylvaWorkloadClusterStatus) DeepCopyInto(out *SylvaWorkloadClusterStatus) {
	*out = *in
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make([]v1.Condition, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new SylvaWorkloadClusterStatus.
func (in *SylvaWorkloadClusterStatus) DeepCopy() *SylvaWorkloadClusterStatus {
	if in == nil {
		return nil
	}
	out := new(SylvaWorkloadClusterStatus)
	in.DeepCopyInto(out)
	return out
}
